Package com.mapd.thrift.server

## Class TRenderResult

- java.lang.Object
- - com.mapd.thrift.server.TRenderResult

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TRenderResult>`, `org.apache.thrift.TBase<TRenderResult,​TRenderResult._Fields>`, `org.apache.thrift.TSerializable`

    public class TRenderResult
    extends Object
    implements org.apache.thrift.TBase<TRenderResult,​TRenderResult._Fields>, Serializable, Cloneable, Comparable<TRenderResult>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TRenderResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `execution_time_ms`
`ByteBuffer` `image`
`static Map<TRenderResult._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `nonce`
`long` `render_time_ms`
`long` `total_time_ms`
`String` `vega_metadata`

### Constructor Summary

Constructors
`TRenderResult()`
`TRenderResult​(TRenderResult other)` Performs a deep copy on other.
`TRenderResult​(ByteBuffer image, String nonce, long execution_time_ms, long render_time_ms, long total_time_ms, String vega_metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `bufferForImage()`
`void` `clear()`
`int` `compareTo​(TRenderResult other)`
`TRenderResult` `deepCopy()`
`boolean` `equals​(TRenderResult that)`
`boolean` `equals​(Object that)`
`TRenderResult._Fields` `fieldForId​(int fieldId)`
`long` `getExecution_time_ms()`
`Object` `getFieldValue​(TRenderResult._Fields field)`
`byte[]` `getImage()`
`String` `getNonce()`
`long` `getRender_time_ms()`
`long` `getTotal_time_ms()`
`String` `getVega_metadata()`
`int` `hashCode()`
`boolean` `isSet​(TRenderResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetExecution_time_ms()` Returns true if field execution_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetImage()` Returns true if field image is set (has been assigned a value) and false otherwise
`boolean` `isSetNonce()` Returns true if field nonce is set (has been assigned a value) and false otherwise
`boolean` `isSetRender_time_ms()` Returns true if field render_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetTotal_time_ms()` Returns true if field total_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetVega_metadata()` Returns true if field vega_metadata is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TRenderResult` `setExecution_time_ms​(long execution_time_ms)`
`void` `setExecution_time_msIsSet​(boolean value)`
`void` `setFieldValue​(TRenderResult._Fields field, Object value)`
`TRenderResult` `setImage​(byte[] image)`
`TRenderResult` `setImage​(ByteBuffer image)`
`void` `setImageIsSet​(boolean value)`
`TRenderResult` `setNonce​(String nonce)`
`void` `setNonceIsSet​(boolean value)`
`TRenderResult` `setRender_time_ms​(long render_time_ms)`
`void` `setRender_time_msIsSet​(boolean value)`
`TRenderResult` `setTotal_time_ms​(long total_time_ms)`
`void` `setTotal_time_msIsSet​(boolean value)`
`TRenderResult` `setVega_metadata​(String vega_metadata)`
`void` `setVega_metadataIsSet​(boolean value)`
`String` `toString()`
`void` `unsetExecution_time_ms()`
`void` `unsetImage()`
`void` `unsetNonce()`
`void` `unsetRender_time_ms()`
`void` `unsetTotal_time_ms()`
`void` `unsetVega_metadata()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### image

    public ByteBuffer image

#### nonce

    public String nonce

#### execution_time_ms

    public long execution_time_ms

#### render_time_ms

    public long render_time_ms

#### total_time_ms

    public long total_time_ms

#### vega_metadata

    public String vega_metadata

#### metaDataMap

    public static final Map<TRenderResult._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TRenderResult

    public TRenderResult()

#### TRenderResult

    public TRenderResult​(ByteBuffer image,
                         String nonce,
                         long execution_time_ms,
                         long render_time_ms,
                         long total_time_ms,
                         String vega_metadata)

#### TRenderResult

    public TRenderResult​(TRenderResult other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TRenderResult deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TRenderResult,​TRenderResult._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TRenderResult,​TRenderResult._Fields>`

#### getImage

    public byte[] getImage()

#### bufferForImage

    public ByteBuffer bufferForImage()

#### setImage

    public TRenderResult setImage​(byte[] image)

#### setImage

    public TRenderResult setImage​(ByteBuffer image)

#### unsetImage

    public void unsetImage()

#### isSetImage

    public boolean isSetImage()

Returns true if field image is set (has been assigned a value) and false otherwise

#### setImageIsSet

    public void setImageIsSet​(boolean value)

#### getNonce

    public String getNonce()

#### setNonce

    public TRenderResult setNonce​(String nonce)

#### unsetNonce

    public void unsetNonce()

#### isSetNonce

    public boolean isSetNonce()

Returns true if field nonce is set (has been assigned a value) and false otherwise

#### setNonceIsSet

    public void setNonceIsSet​(boolean value)

#### getExecution_time_ms

    public long getExecution_time_ms()

#### setExecution_time_ms

    public TRenderResult setExecution_time_ms​(long execution_time_ms)

#### unsetExecution_time_ms

    public void unsetExecution_time_ms()

#### isSetExecution_time_ms

    public boolean isSetExecution_time_ms()

Returns true if field execution_time_ms is set (has been assigned a value) and false otherwise

#### setExecution_time_msIsSet

    public void setExecution_time_msIsSet​(boolean value)

#### getRender_time_ms

    public long getRender_time_ms()

#### setRender_time_ms

    public TRenderResult setRender_time_ms​(long render_time_ms)

#### unsetRender_time_ms

    public void unsetRender_time_ms()

#### isSetRender_time_ms

    public boolean isSetRender_time_ms()

Returns true if field render_time_ms is set (has been assigned a value) and false otherwise

#### setRender_time_msIsSet

    public void setRender_time_msIsSet​(boolean value)

#### getTotal_time_ms

    public long getTotal_time_ms()

#### setTotal_time_ms

    public TRenderResult setTotal_time_ms​(long total_time_ms)

#### unsetTotal_time_ms

    public void unsetTotal_time_ms()

#### isSetTotal_time_ms

    public boolean isSetTotal_time_ms()

Returns true if field total_time_ms is set (has been assigned a value) and false otherwise

#### setTotal_time_msIsSet

    public void setTotal_time_msIsSet​(boolean value)

#### getVega_metadata

    public String getVega_metadata()

#### setVega_metadata

    public TRenderResult setVega_metadata​(String vega_metadata)

#### unsetVega_metadata

    public void unsetVega_metadata()

#### isSetVega_metadata

    public boolean isSetVega_metadata()

Returns true if field vega_metadata is set (has been assigned a value) and false otherwise

#### setVega_metadataIsSet

    public void setVega_metadataIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TRenderResult._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TRenderResult,​TRenderResult._Fields>`

#### getFieldValue

    public Object getFieldValue​(TRenderResult._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TRenderResult,​TRenderResult._Fields>`

#### isSet

    public boolean isSet​(TRenderResult._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TRenderResult,​TRenderResult._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TRenderResult that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TRenderResult other)

Specified by:
  `compareTo` in interface `Comparable<TRenderResult>`

#### fieldForId

    public TRenderResult._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TRenderResult,​TRenderResult._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`